Subject: Re: [REGRESSION, bisect] net: ipv6: unregister_netdevice: waiting for lo to become free. Usage count = 2

From: David Ahern <[email-masked]>
Date: Wed, 2 Mar 2016 13:00:21 -0800

On 3/2/16 12:31 PM, Jeremiah Mahler wrote:
>> On Tue, Mar 01, 2016 at 08:11:54AM +0000, Dexuan Cui wrote:
>>> Hi, I got this line every 10 seconds with today's linux-next in a Hyper-V guest, even
>>> when I didn't configure any NIC for the guest:
>>>
>>> [   72.604249] unregister_netdevice: waiting for lo to become free. Usage count = 2
>>> [   82.708170] unregister_netdevice: waiting for lo to become free. Usage count = 2
>>> [   92.788079] unregister_netdevice: waiting for lo to become free. Usage count = 2
>>> [  102.808132] unregister_netdevice: waiting for lo to become free. Usage count = 2
>>> [  112.928166] unregister_netdevice: waiting for lo to become free. Usage count = 2
>>> [  122.952069] unregister_netdevice: waiting for lo to become free. Usage count = 2
>>>
>>> I don't think this is related to the underlying host, since it's related to "lo".

This should fix it:
     https://patchwork.ozlabs.org/patch/591102/

David